---
title: "Check out of the caller's shift (idempotent)"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Field Sales

`POST /api/field-sales/rep/site-sessions/{id}/checkout`

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.channelautomation.com/api/field-sales/rep/site-sessions/%7Bid%7D/checkout
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/field-sales/rep/site-sessions/%7Bid%7D/checkout';
const options = {method: 'POST'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/field-sales/rep/site-sessions/%7Bid%7D/checkout"

response = requests.post(url)

print(response.text)
```


Source: https://developer.channelautomations.com/api/post-api-field-sales-rep-site-sessions-id-checkout/index.md
